BufferedEncoder (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.util.encoders

## Class BufferedEncoder

- java.lang.Object
- - org.bouncycastle.util.encoders.BufferedEncoder

-     public class BufferedEncoder
      extends java.lang.Object

  A buffering class to allow translation from one format to another to be done in discrete chunks.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected byte[]` | `buf`
    `protected int` | `bufOff`
    `protected Translator` | `translator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BufferedEncoder(Translator translator, int bufSize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `processByte(byte in, byte[] out, int outOff)`
    `int` | `processBytes(byte[] in, int inOff, int len, byte[] out, int outOff)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### buf

          protected byte[] buf

    - #### bufOff

          protected int bufOff

    - #### translator

          protected Translator translator

  - ### Constructor Detail

    - #### BufferedEncoder

          public BufferedEncoder(Translator translator,
                                 int bufSize)

      Parameters:
        `translator` - the translator to use.
        `bufSize` - amount of input to buffer for each chunk.

  - ### Method Detail

    - #### processByte

          public int processByte(byte in,
                                 byte[] out,
                                 int outOff)

    - #### processBytes

          public int processBytes(byte[] in,
                                  int inOff,
                                  int len,
                                  byte[] out,
                                  int outOff)